<?php
namespace SuperRhino\Utils\MQClient\Exception;

class MQException extends \RuntimeException {
    public function __construct($code, $message, $previousException = NULL, $onsErrorCode = NULL, $requestId = NULL, $hostId = NULL) {
        parent::__construct($message, $code, $previousException);

        if ($onsErrorCode == NULL) {
            if ($code >= 500) {
                $onsErrorCode = "ServerError";
            } else {
                $onsErrorCode = "ClientError";
            }
        }
        $this->onsErrorCode = $onsErrorCode;

        $this->requestId = $requestId;
        $this->hostId = $hostId;
    }
}

?>
